Fetch the document forms of your company

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Purpose: Use this API to fetch all the document forms available for your company.

Response Parameters

forms

  • Type: Array of Objects
  • Description: A list of forms available.

id

  • Type: Integer
  • Description: The unique identifier for the form.

updated_at

  • Type: DateTime
  • Description: The timestamp of when the form was last updated.

hidden_from_drivers

  • Type: Boolean
  • Description: Indicates whether the form is hidden from drivers.

editable

  • Type: Boolean
  • Description: Indicates whether the form is editable.

created_at

  • Type: DateTime
  • Description: The timestamp of when the form was created.

category

  • Type: String
  • Description: The category of the form, e.g., "Bill of lading".

created_by

  • Type: Object
  • Description: The user who created the form.

id

  • Type: Integer
  • Description: The unique identifier for the user who created the form.

first_name

  • Type: String
  • Description: The first name of the user who created the form.

last_name

  • Type: String
  • Description: The last name of the user who created the form.

modified_by

  • Type: Object
  • Description: The user who last modified the form.

id

  • Type: Integer
  • Description: The unique identifier for the user who last modified the form.

first_name

  • Type: String
  • Description: The first name of the user who last modified the form.

last_name

  • Type: String
  • Description: The last name of the user who last modified the form.

Query Params
string
required
Defaults to published

Specify the status of the document form that you are fetching. Allowed values are 'published', 'deactivated'.

int32
Defaults to 25

The number of records per page.

int32
Defaults to 1

The current page number

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json